#include "cmsis_os2.h"                          // CMSIS RTOS header file
#include "rl_net.h"                     // Keil.MDK-Plus::Network:CORE
#include "rl_fs.h"                      // Keil.MDK-Plus::File System:CORE

 
/*----------------------------------------------------------------------------
 *      Thread 1 'Thread_Name': Sample thread
 *---------------------------------------------------------------------------*/
 
osThreadId_t tid_Thread;                        // thread id
 
void app_net_thread (void *argument);                   // thread function
 
int Init_net_Thread (void) {
 
  tid_Thread = osThreadNew(app_net_thread, NULL, NULL);
  if (tid_Thread == NULL) {
    return(-1);
  }
 
  return(0);
}
 
/* Net thread function */
void app_net_thread (void *argument) {
	
	if (finit("") == fsOK) {
    fmount("");
  }
	
	netInitialize();
 
  while (1) 
	{
    
    osDelay(100);
  }
}
